# File          Fig6_1.r
#               Unemployment Rates
#
# By            Dan Carr
# Date          June 17, 2009; Edited May 2, 2010


#  Read data and fix column names

umpAllRate =read.csv("umpAllRate.csv",row.names=1, as.is= TRUE)
umpAllRate = as.matrix(umpAllRate) 
tmp = colnames(umpAllRate)
colnames(umpAllRate) = substr(tmp,2,5)

source("TCmapNewColor.r")

TCmapNewColor(umpAllRate,subs=2:5,
              titles="State Unemployment Rates Over Time",
              width=7.0,height=4.15,
              topMar=.15,rnd=1,
		  unitsLabel="Unemployment Rate Per 100,000",cex=.75,
              shift=list(minmaxLineUp=TRUE,unitsLabelDown=FALSE),
              pdfFile="Fig6_1_Unemployment.pdf")

#                Note
#    The matrix has years 2000 to 2007
#    subs = 5:8 would show years 2004:2007 
