# File          Fig6_4.r
#               White Female Lung Cancer
#
# By            Dan Carr
# Date          June 17, 2009; Edited May 2, 2010


#            Read data and fix column names
wfLung =as.matrix(read.csv("wfLung.csv",row.names=1, as.is= TRUE)) 
colnames(wfLung) # check
years = seq(1950,1990,by=5)
colnames(wfLung) = paste(years,years+4,sep="-")

source("TCmapNewColor.r")

TCmapNewColor(wfLung,subs=c(6,7,8,9),titles=NULL,
     width=7.0,height=4,
     topMar=0,rnd=1,
     cex=.75,
     changeText= c("Changes","Shown In","New Colors"),
     changeX=.27,
     changeY=c(.65,.5,.35),
     unitsLabel="Age-Adjusted Deaths Per 100,000",
     shift=list(minmaxLineUp=TRUE,unitsLabelDown=FALSE),
     pdfFile='Fig6_4.pdf')


