# File         Fig6_10.r
# By           Dan Carr
# Date         May 23, 2007, Edited May 1, 2010   
    
# RUN EXAMPLES SCRIPT FIRST
# 
# To define panelfunctions
#           state boundary files         
                
# Read data and fix column names

wfLung = as.matrix(read.csv("wfLung.csv",row.names=1,as.is=TRUE))
colnames(wfLung) # verify
years = seq(1950,2000,by=5)
colnames(wfLung2004)= paste(years,"-",years+4,sep="")

# Function and Call

source("TCmapDiffSliders.r")   

TCmapDiffSliders(wfLung,subs=c(6,7,8,9),
    titles=c("White Female Lung Cancer","Mortality Rates Plus 1st and 2nd Differences"),
    titleLines = c(.9,.33),
    width=6.5,height=6.7,
    topMar=.4,rnd=1,
    timeLine=.05,
    sliderLabel=c("Age-Adjusted Deaths per 100,000",
                  "Change in Age-Adjusted Deaths per 100,000 per 5 Years",
                  "Change of Change per 5 Years"),
    rowlab=c("Rates","1st Difference","2nd Difference"),
    cex=.7,cexT=.8,
    borderCol="#909090",
    shift=TRUE,
    font2=2,
    colClass=c("#008837","#A8D8B7","#FFFFFF","#C2A5CF","#7B3294"),
    pdfFile="Fig6_10.pdf")
