# File    Fig6_2.r
# By      Dan Carr
#
# Date    Repackaged May 2, 2010

#   Read data and fix column names
wmHomAge = as.matrix(read.csv("maleHomicidesByAge.csv",row.names=1,as.is=TRUE))
colnames(wmHomAge) # verify
years = seq(-1,89,by=5)
tmp = paste("Ages ",years-4,"-",years,sep='')
tmp[1] = "Age 0"
tmp[2] = "Ages 1-4"
tmp[19] = "Ages 85+"
colnames(wmHomAge)= paste(tmp)

#             RiseFall modified function
#               red text age groups
source("TCmapsRiseFallMod.r")

TCmapsRiseFallMod(wmHomAge,subs=c(1,2,3,4,5),
   titles=NULL,width=6.5,height=4.5,
   topMar=0,rnd=2,
   unitsLabel="Age Specific Deaths Per 100,000",cex=.75,
   percentsLabel="Percent of State-Age Groups",
   shift=list(minmaxLineUp=TRUE,unitsLabelDown=FALSE),
   pdfFile='Fig6_2_HomicideByAge.pdf')







