# File    Fig6_6.r
# By      Dan Carr
#
# Date    Repackaged May 2, 2010

#     Read data and fix column names
wfAll2004 = as.matrix(read.csv("wfAll2004.csv",row.names=1,as.is=TRUE))
colnames(wfAll2004) # verify
years = seq(1950,2000,by=5)
colnames(wfAll2004)= paste(years,"-",years+4,sep="")

#            Other Years    
#    The data starts in 1950
#    A longer series could be shown
#    There is missing data for Alaska and Hawaii
#    What happens could be checked 

source("TCmapsRiseFall.r")

# f = 6.25/4.75 Poster enlargement
f=1
TCmapsRiseFall(wfAll2004,subs=3:11,
      titles="White Female Mortality Rates: All Cancers",
      width=f*9.5,height=f*3.9,
      topMar=f*0.2,botMar=f*.98,rnd=0,timeLine=.05,
      unitsLabel="Age-Adjusted Deaths Per 100,000",
      cex=f*.72,cexLegend=f*.60,
      pdfFile='Fig6_6WFAllCancer.pdf')

