# File    Fig6_7.r
# By      Dan Carr
#
# Date    Repackaged May 2, 2010

#     Read data Mortalilty Ratio Data  and fix column names

wfToWmCompMort = as.matrix(read.csv("wfToWmCompMort.csv",
                 row.names=1,as.is=TRUE))
colnames(wfToWmCompMort) # verify
years = seq(1950,2000,by=5)
colnames(wfToWmCompMort)= paste(years,"-",years+4,sep="")

source("TCmapsRiseFall.r")


# text formatted a litte differently than the book. 
# f was for poster enlargement
f=1

TCmapsRiseFall(wfToWmCompMort,subs=c(5,7,9,11),
      titles=c("Lung and Bronchus Cancer",
            "Ratio of White Female to White Male Comparative Mortality Ratios"),
      titleLines=c(.85,.34),
      width=f*6.5,height=f*5.2,
      topMar=f*0.4,rnd=2,timeLine=.05,
      unitsLabel="Ratio of Gender Specific Comparative Mortality Ratios",cex=.72,cexLegend=.60,
      pdfFile='Fig6_7wfToWmCompMortRatioLung.pdf')



