# File    Fig6_8.r
# By      Dan Carr
#
# Date    May 1, 2009; Repackaged May 1, 2010

# RUN EXAMPLES SCRIPT FIRST
# 
# To define panelfunctions
#           state boundary files         

#   Read data and fix column names__________________________
#   Same data as Fig 6.9

wfLungUScomp = as.matrix(read.csv("wfLungUScomp.csv",row.names=1,as.is=TRUE))
colnames(wfLungUScomp) # verify
years = seq(1950,2000,by=5)
colnames(wfLungUScomp)= paste(years,"-",years+4,sep="")

wmLungUScomp = as.matrix(read.csv("wmLungUScomp.csv",row.names=1,as.is=TRUE))
colnames(wmLungUScomp) # verify
years = seq(1950,2000,by=5)
colnames(wmLungUScomp)= paste(years,"-",years+4,sep="")

# Figure function and call___________________________________

source("TCmap2Way4Color.r")

TCmap2Way4Color(wfLungUScomp,wmLungUScomp,subs=c(7,9,11),
    titles=c("White Female and Male Lung Cancer",
             "Comparative Mortality Ratios and Interleaved Class Change Panels"),
    titleLines=c(.98,.35),shift=TRUE,
    timeLine=.1, 
    width=6.9,height=4.7,topMar=.3,rnd=2,
    sliderLabel="Comparative Mortality Ratio and Changing Classes ",
    sliderPercents="Percent of State-Five Year Periods",
    cex=.60,cexT=.80,font2=2,
    pdfFile='Fig6_8.pdf')

 

