# File         TCmap2Way2Group5ClassDif.r
#
#Programmer    Dan Carr
#Date          May 1,2009; Repackage May 1, 2010

# RUN EXAMPLES SCRIPT FIRST
# 
# To define panelfunctions
#           state boundary files         


#     Read data and fix column names
wfLungUScomp = as.matrix(read.csv("wfLungUScomp.csv",row.names=1,as.is=TRUE))
colnames(wfLungUScomp) # verify
years = seq(1950,2000,by=5)
colnames(wfLungUScomp)= paste(years,"-",years+4,sep="")

wmLungUScomp = as.matrix(read.csv("wmLungUScomp.csv",row.names=1,as.is=TRUE))
colnames(wmLungUScomp) # verify
years = seq(1950,2000,by=5)
colnames(wmLungUScomp)= paste(years,"-",years+4,sep="")

              
# Function and call

source("TCmap2WayDiff5Class.r")

TCmap2WayDiff5Class(wfLungUScomp,wmLungUScomp,subs=c(7,9,11),
    titles=c("White Female and Male Lung Cancer",
             "Showing Differences in Even Row and Column Panels"),
    titleLines=c(.98,.35),shift=TRUE,
    timeLine=.05, 
    threshholds=c(-.2,-.1,.1,.2),
    width=6.9,height=4.7,
    topMar=.3,rnd=2,
    sliderLabel="Difference in Comparative Mortality Ratios",
    sliderPercents="Percent of All Differences",
    cex=.60,cexT=.80,font2=2,
    pdfFile='C6_9.pdf')


TCmap2WayDiff5Class(wfLungUScomp,wmLungUScomp,subs=c(7,9,11),
    titles=c("White Female and Male Lung Cancer",
             "Showing Differences in Even Row and Column Panels"),
    titleLines=c(.98,.35),shift=TRUE,
    timeLine=.05, 
    threshholds=c(-.2,-.1,.1,.2),
    width=8.9,height= 6.06,
    topMar=.3,rnd=2,
    sliderLabel="Difference in Comparative Mortality Ratios",
    sliderPercents="Percent of All Differences",
    cex=.80,cexT=.90,font2=2,
    pdfFile='Fig6_9L.pdf')



